org.jgroups.protocols

## Class FD_PING.PingMonitor

- java.lang.Object
- - org.jgroups.protocols.FD.Monitor
  - - org.jgroups.protocols.FD_PING.PingMonitor

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    FD_PING

      protected class FD_PING.PingMonitor
      extends FD.Monitor

  Executes the ping command. Each time the command fails, we increment num_tries. If num_tries > max_tries, we emit a SUSPECT message. If ping_dest changes, or we do receive traffic from ping_dest, we reset num_tries to 0.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FD_PING.PingMonitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FD_PING.PingMonitor

          protected FD_PING.PingMonitor()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `FD.Monitor`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.